Analyzers
Support for Analyzers (Intel VTune™ Profiler, Intel Advisor, Intel Inspector)
Announcements
Welcome to the Intel Community. If you get an answer you like, please mark it as an Accepted Solution to help others. Thank you!
4556 Discussions

CentOS 7.1 support and vTune download that will support CentOS7.1

Muthurajan_J_Intel
436 Views

 

 

Customer is asking the following:
How do you advise to point to customer please
Thanks a lot 
M Jay

Customer's Request

Host on which I need to install vtunes:
Operating System: CentOS Linux 7 (Core)
CPE OS Name: cpe:/o:centos:centos:7
Kernel: Linux 3.10.0-229.48.1.el7.x86_64
Architecture: x86_64
Could you please let me know where can I download vtunes that can be installed on centos 7 /7.1 
I downloaded the latest vtunes (vtune_amplifier_xe_2017_update4.tar.gz) but that's not compatible with the above linux version

 

When I requested them to go ahead and install and send the output, kindly note below their output

The installation is the issue here. Not starting up vtunes.

Steps followed:
--------------------------------------------------------------------------------
Step 2 of 7 | Prerequisites > Missing Optional Prerequisite(s)
--------------------------------------------------------------------------------
There are one or more optional unresolved issues. It is highly recommended to
resolve them all before you continue. You can fix them without exiting the setup
program and re-check. Or you can exit the setup program, fix them and run the
setup program again.
--------------------------------------------------------------------------------
Missing optional prerequisites
-- Unsupported OS
-- Cannot detect gtk library
--------------------------------------------------------------------------------
1. Skip missing optional prerequisites [default]
2. Show the detailed info about issue(s)
3. Re-check the prerequisites

h. Help
b. Back to the previous menu
q. Quit
--------------------------------------------------------------------------------
Please type a selection or press "Enter" to accept default choice [1]: 2
Step 2 of 7 | Prerequisites > Missing Optional Prerequisite
-----------------------------------------------------------------------------


Then if I go ahead with the installation:
Step 6 of 7 | Installation
--------------------------------------------------------------------------------
Each component will be installed individually. If you cancel the installation,
some components might remain on your system. This installation may take several 
minutes, depending on your system and the options you selected.
--------------------------------------------------------------------------------
Installing Command line interface component... done
--------------------------------------------------------------------------------
Installing Intel(R) VTune(TM) Amplifier XE 2017 Update 4 - Common files
component:
ERROR: No free space to install the component. Please check that quota limit is 
not reached for the user.
--------------------------------------------------------------------------------
--------------------------------------------------------------------------------
Failed to install component
intel-vtune-amplifier-xe-2017-common-17.4-518798.noarch.rpm
--------------------------------------------------------------------------------
a. Abort
i. Ignore
--------------------------------------------------------------------------------
Please type a selection or press "Enter" to accept default choice :

After this the system is in hung state and unusable. Reboot required to fix it.

 

0 Kudos
2 Replies
James_S
Employee
436 Views

Hi,

Here is the supported operational systems of VTune 2017 update 4:

• Red Hat* Enterprise Linux 6 and 7

• CentOS* versions equivalent to Red Hat* Enterprise Linux* versions listed above

• SUSE* Linux* Enterprise Server (SLES) 11 and 12

• Fedora* 24 and 25

• Ubuntu* 14.04, 16.04, 16.10 and 17.04 • Debian* 7.0 and 8.0 

The customer can also refer the release notes at https://software.intel.com/sites/default/files/managed/bf/e5/release_notes_amplifier_linux.pdf, so it should not be the issue for the customer to install VTune 2017u4 on CentOS 7/7.1. The customer can just skip the "unsupported OS" warning and go ahead with the installation.  

The issue preventing VTune installation is "ERROR: No free space to install the component. Please check that quota limit is not reached for the user." So the customer may check check this in order to get VTune installed successfully.

Thanks

Zhuowei

 

TimP
Black Belt
436 Views

The missing prerequisites also include gtk, which should be available on centos repository.  

Reply